org.keycloak.dom.saml.v2.ac

## Class ActivationLimitUsagesType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.ActivationLimitUsagesType

-     public class ActivationLimitUsagesType
      extends Object

  Java class for ActivationLimitUsagesType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ActivationLimitUsagesType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="number" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BigInteger` | `number`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivationLimitUsagesType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getNumber()` Gets the value of the number property.
    `void` | `setNumber(BigInteger value)` Sets the value of the number property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### number

          protected BigInteger number

  - ### Constructor Detail

    - #### ActivationLimitUsagesType

          public ActivationLimitUsagesType()

  - ### Method Detail

    - #### getNumber

          public BigInteger getNumber()

      Gets the value of the number property.
      Returns:
        possible object is `BigInteger`

    - #### setNumber

          public void setNumber(BigInteger value)

      Sets the value of the number property.
      Parameters:
        `value` - allowed object is `BigInteger`

Copyright © 2021 JBoss by Red Hat. All rights reserved.